# IceMX::InvocationMetrics

## Overview

### class InvocationMetrics extends Metrics

Provide measurements for proxy invocations. Proxy invocations can either be sent over the wire or be collocated. The metrics for invocations sent over the wire are specifically measured with RemoteMetrics.

## Data Member Index

retry
  The number of retries for the invocation(s).
userException
  The number of invocations that failed with a user exception.
remotes
  The remote invocation metrics map.

## Data Members

### int retry;

The number of retries for the invocation(s).

### int userException;

The number of invocations that failed with a user exception.

### MetricsMap remotes;

The remote invocation metrics map.

#### See Also

RemoteMetrics